net.sourceforge.pmd.symboltable

## Class MethodScopeTest

- java.lang.Object
- - net.sourceforge.pmd.symboltable.STBBaseTst
  - - net.sourceforge.pmd.symboltable.MethodScopeTest

    public class MethodScopeTest
    extends STBBaseTst

### Field Summary

Fields
`static String` `TEST1`

### Fields inherited from class net.sourceforge.pmd.symboltable.STBBaseTst

`acu, stb`

### Constructor Summary

Constructors
Constructor and Description
`MethodScopeTest()`

### Method Summary

Methods
`static junit.framework.Test` `suite()`
`void` `testGenerics()`
`void` `testMethodName()`
`void` `testMethodParameterOccurrenceRecorded()`

### Methods inherited from class net.sourceforge.pmd.symboltable.STBBaseTst

`parseCode, parseCode, parseCode15`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TEST1

    public static final String TEST1

### Constructor Detail

#### MethodScopeTest

    public MethodScopeTest()

### Method Detail

#### testMethodParameterOccurrenceRecorded

    public void testMethodParameterOccurrenceRecorded()

#### testMethodName

    public void testMethodName()

#### testGenerics

    public void testGenerics()

#### suite

    public static junit.framework.Test suite()